diff sources/native-builds/bootstrap-skeleton/control-image-wrapper.sh @ 1258:c264495fbf21

Update the common code, use "files" directory instead of build for subdir.
author Rob Landley <rob@landley.net>
date Thu, 07 Oct 2010 23:50:12 -0500
parents df70740df1a5
children b41dbea3ba14
line wrap: on
line diff
--- a/sources/native-builds/bootstrap-skeleton/control-image-wrapper.sh	Thu Oct 07 23:46:30 2010 -0500
+++ b/sources/native-builds/bootstrap-skeleton/control-image-wrapper.sh	Thu Oct 07 23:50:12 2010 -0500
@@ -12,7 +12,7 @@
 
 # Find path to our working directory.
 
-MYDIR="$(dirname "$(readlink -f "$(which "$0")")")"
+MYDIR="$(readlink -f "$(dirname "$(which "$0")")")"
 IMAGENAME="${MYDIR/*\//}"
 
 # Use our own directories for downloaded source tarballs and patches.
@@ -27,22 +27,27 @@
 
 WORK="$WORK/$IMAGENAME" &&
 blank_tempdir "$WORK" &&
-SRCTREE="$WORK" &&
+SRCTREE="$WORK/packages" &&
+mkdir "$SRCTREE" &&
+
+# Copy common infrastructure to target
+
 cp "$MYDIR"/../bootstrap-skeleton/files/* "$WORK" || exit 1
+if [ -e "$MYDIR/mnt" ]
+then
+  cp -a "$MYDIR/mnt/." "$WORK" || exit 1
+fi
+
+# Populate packages directory
 
 echo "=== $IMAGENAME: Download/extract source code"
 
 EXTRACT_ALL=1
 
-"$MYDIR"/download.sh || exit 1
+source "$MYDIR"/download.sh || exit 1
 
 cleanup_oldfiles
 
-if [ -e "$MYDIR/mnt" ]
-then
-  cp -a "$MYDIR/mnt/." "$WORK" || exit 1
-fi
-
 # Create sqaushfs image
 
 if [ "$1" != "/dev/null" ]